EditResponse
What an edit did, operation by operation, and the file after it.
Kind: an object, used in responses.
Fields
Section titled “Fields”Every field is present in a response; empty ones are null.
| Field | Type | Description |
|---|---|---|
success | boolean | Whether all operations succeeded. |
operationResults | EditOperationResult[] | Results for each operation. |
file | FileSystemFile| null | The file after edits were applied. |
Example
Section titled “Example”{ "success": false, "operationResults": [ { "success": false, "error": "...", "replacementCount": 0 } ], "file": { "size": 0, "name": "...", "path": "...", "dateCreated": "2026-10-26T12:00:00.0000000Z", "dateModified": "2026-10-26T12:00:00.0000000Z" }}Where it’s used
Section titled “Where it’s used”vfs.open(name).edit(POST /namespaces/{namespaceName}/vfs/by-name/{name}/files/edit)vfs.openById(id).edit(POST /vfs/by-id/{id}/files/edit)